Settings

Operations of the Space Registry API. Paths are relative to your deployment's API host.

GET /api/space-registry-api/settings/definitions

The active setting definitions that govern a scope.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
scopequerystringyesThe Space ref to list definitions for.
StatusDescriptionBody
200application/json SettingDefinitionListDtoDataEnvelope

POST /api/space-registry-api/settings/resolve

The effective value of a setting at a scope, with the tier that decided it.

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json SettingTargetDto

StatusDescriptionBody
200application/json SettingResolutionDtoDataEnvelope

PUT /api/space-registry-api/settings/values

State a setting value at a scope (validated, never clamped).

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json WriteSettingValueDto

StatusDescriptionBody
200application/json SettingValueDtoDataEnvelope

POST /api/space-registry-api/settings/values/clear

Remove the value stated at a scope (idempotent).

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json SettingTargetDto

StatusDescriptionBody
204